Remove parent relationship
curl --request DELETE \
--url https://{tenant}.torchapp.com.au/api/v1/projects/{project_id}/elements/{element_id}/parents/{parent_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}.torchapp.com.au/api/v1/projects/{project_id}/elements/{element_id}/parents/{parent_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.torchapp.com.au/api/v1/projects/{project_id}/elements/{element_id}/parents/{parent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "Unauthenticated."
}Elements
Remove Element Parent
Remove a parent relationship from an element.
DELETE
/
v1
/
projects
/
{project_id}
/
elements
/
{element_id}
/
parents
/
{parent_id}
Remove parent relationship
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the project.
The ID of the element.
The ID of the parent element.
Response
Parent relationship removed
The response is of type object.
⌘I